Subject: Re: [PATCH v2] netfilter: properly initialize xt_table_info structure

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 31 May 2018 10:51:16 +0200

On Thu, May 31, 2018 at 10:24:36AM +0200, Florian Westphal wrote:
> peter pi <[email-masked]> wrote:
> > Hi Greg, I applied this patch on 4.4 and tested it on my Pixel 2, it seems
> > the problem still exists,
> 
> What is the problem exactly?

The problem is that kernel data is being sent to userspace due to an
uncleared buffer that was allocated and then copied to userspace.  This
can be reproduced by dumping the current set of iptables rules.  Peter
had an example reproducing script that he used to specifically show
this.  Peter, can you provide that?

I thought that initializing this buffer to zero would solve the problem,
but I guess I cleared the wrong buffer :(

thanks,

greg k-h